Bug 198576 - Yum should be able to bypass problematic updates
Yum should be able to bypass problematic updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 20:52 EDT by Victor Bogado
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 14:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Bogado 2006-07-11 20:52:04 EDT
Description of problem:
When a package is updated with a broken one yum stops from updating all the
packages and not just the ones affected by broken one. 

This is annoying and could stop a user from updating a serious security problem
if a non-related update has  a broken package, specially if the updates are done
automatically. 

In my opinion, yum should remove the bad packages from the list of available
updates and try to update all packages that he have not found problems. This
would keep the system updated until the user actually notice the problem and fix
the problem by him self or the updated package is fixed by the maintainer.
Comment 1 Seth Vidal 2006-07-12 14:06:12 EDT
We've addressed this many times before in other bugs.

Short version: It's unsafe to do that b/c it gives the person a false sense of
security.
Comment 2 Victor Bogado 2006-07-12 14:29:04 EDT
I don't get it, the false sense of security is what happens now, that you are
able to make your machine update automaticly and those updates can fail because
there is some extra package that was updated with a broken package.

Maybe the auto-update should be taken off the fedora system then, because with
this bug they can give a "false sense of security" to the user.

Could you point me out where is those discussions, so I can enlight myself on
why this bug is a "wontfix"? 

Note You need to log in before you can comment on or make changes to this bug.